> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Inventory Items

> Returns all Inventory for the WMS connection associated with the provided access token.



## OpenAPI

````yaml get /wms/inventory
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/inventory:
    get:
      tags:
        - wms
        - Inventory
      summary: Get All Inventory Items
      description: >-
        Returns all Inventory for the WMS connection associated with the
        provided access token.
      operationId: get_wms_get_inventory
      parameters:
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
        - in: query
          name: page_token
          description: >-
            The page token to use to retrieve the next page of results. If this
            field is omitted, there are no subsequent pages.
          schema:
            type:
              - string
              - 'null'
            example: page_token
          required: false
        - in: query
          name: limit
          description: The maximum number of items to return. The default is 1000.
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            example: 1000
          required: false
        - in: query
          name: ids
          schema:
            $ref: '#/components/schemas/WmsInventoryItemIdsQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: created_date
          description: >-
            Use this parameter to retrieve items filtered to a specific date
            range. For example, to get all items between 2023-03-10 and
            2023-03-22, you would send
            `created_date[gte]=2023-03-10T00:00:00Z&created_date[lte]=2023-03-22T00:00:00Z.`
            See the [filtering docs](/how-to-guides/about-the-api#filtering) for
            more. The date format must always be YYYY-MM-DDTHH:MM:SSZ. 
             Note: it is much more efficient to use a combination of `gte`/`lte` than it is to use `gt`/`lt`.
          schema:
            $ref: '#/components/schemas/WmsInventoryItemCreated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: updated_date
          description: Same syntax as `created_date`.
          schema:
            $ref: '#/components/schemas/WmsInventoryItemUpdated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_created_date
          description: Same syntax as `created_date`.
          schema:
            $ref: >-
              #/components/schemas/WmsInventoryItemTrackstar_Created_DateQueryParam
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_updated_date
          description: Same syntax as `created_date`.
          schema:
            $ref: >-
              #/components/schemas/WmsInventoryItemTrackstar_Updated_DateQueryParam
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_tags
          description: >-
            Filter by trackstar tags. Dict-shaped tags should be queried as
            "key:value" strings.
          schema:
            $ref: '#/components/schemas/WmsInventoryItemTrackstar_Tags_FlatQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: warehouse_customer_id
          description: The ID of the customer associated with the resource
          schema:
            $ref: >-
              #/components/schemas/WmsInventoryItemWarehouse_Customer_IdQueryParam
          required: false
          style: deepObject
          explode: true
        - in: query
          name: sku
          description: The SKU of the inventory item.
          schema:
            $ref: '#/components/schemas/WmsInventoryItemSkuQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: active
          description: Whether or not the inventory item is active.
          schema:
            type: boolean
            example: true
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WmsInventoryListEndpoint'
          description: Successful response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    WmsInventoryItemIdsQueryParam:
      type: object
      properties:
        in:
          type: array
          description: >-
            A comma-separated list of resource IDs. If provided, all other query
            params are ignored.
          example: resource_id_1,resource_id_2
          items:
            type: string
            description: ''
      required:
        - in
      additionalProperties: false
      title: WmsInventoryItemIdsQueryParam
    WmsInventoryItemCreated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsInventoryItemCreated_DateQueryParam
    WmsInventoryItemUpdated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsInventoryItemUpdated_DateQueryParam
    WmsInventoryItemTrackstar_Created_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsInventoryItemTrackstar_Created_DateQueryParam
    WmsInventoryItemTrackstar_Updated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsInventoryItemTrackstar_Updated_DateQueryParam
    WmsInventoryItemTrackstar_Tags_FlatQueryParam:
      type: object
      properties:
        contains:
          type: array
          description: Comma-separated.
          example: tag_1,tag_2:value_2
          items:
            type: string
            description: ''
        not_contains:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
      additionalProperties: false
      title: WmsInventoryItemTrackstar_Tags_FlatQueryParam
    WmsInventoryItemWarehouse_Customer_IdQueryParam:
      type: object
      properties:
        eq:
          type: string
          description: ''
          example: warehouse_cust_id
        neq:
          type: string
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
      additionalProperties: false
      title: WmsInventoryItemWarehouse_Customer_IdQueryParam
    WmsInventoryItemSkuQueryParam:
      type: object
      properties:
        eq:
          type: string
          description: ''
          example: sku
        neq:
          type: string
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
        is_null:
          type: boolean
          description: Filter by whether the field is null.
          example: true
      additionalProperties: false
      title: WmsInventoryItemSkuQueryParam
    WmsInventoryListEndpoint:
      type: object
      properties:
        data:
          type: array
          description: ''
          items:
            $ref: '#/components/schemas/WmsInventoryItemApiItemSchema'
        next_token:
          type:
            - string
            - 'null'
          description: >-
            See [pagination](/how-to-guides/about-the-api#pagination) for more
            details.
          example: next_token
        total_count:
          type: integer
          description: The number of items returned.
          example: 1
      required:
        - data
        - next_token
        - total_count
      additionalProperties: false
      title: WmsInventoryListEndpoint
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    WmsInventoryItemApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the inventory item.
          example: inv_id
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the inventory item.
            Can be passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        created_date:
          type: string
          format: date-time
          description: The date the inventory item was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the inventory item was last updated.
          example: '2022-01-02T05:05:05Z'
        name:
          type: string
          description: name
          example: name
        sku:
          type:
            - string
            - 'null'
          description: sku
          example: sku
        unit_cost:
          type:
            - number
            - 'null'
          description: The cost of a single unit of the inventory item.
          example: 1
        active:
          type: boolean
          description: Whether the inventory item is active.
          example: true
        awaiting:
          type: integer
          description: Inventory that the warehouse is awaiting delivery of.
          example: 0
        onhand:
          type: integer
          description: The total amount of inventory in the warehouse.
          example: 5
        committed:
          type: integer
          description: Inventory that is already assigned to orders.
          example: 1
        unfulfillable:
          type: integer
          description: >-
            Inventory that can't be fulfilled for orders (e.g.
            damaged/quarantined).
          example: 0
        fulfillable:
          type: integer
          description: Inventory that can be fulfilled for orders.
          example: 4
        sellable:
          type: integer
          description: Inventory that is available in sales channels.
          example: 2
        substitute_skus:
          type: array
          description: >-
            A list of inventory item SKUs that can replace this item if it runs
            out of stock.
          example:
            - sub_sku_1
            - sub_sku_2
          items:
            type: string
            description: sub_sku
        inventory_by_warehouse_id:
          type: object
          description: Inventory broken down by warehouse.
          example:
            warehouse_id_1:
              onhand: 4
              committed: 1
              unfulfillable: 0
              fulfillable: 3
              sellable: 2
              awaiting: 0
            warehouse_id_2:
              onhand: 1
              committed: 0
              unfulfillable: 0
              fulfillable: 1
              sellable: 1
              awaiting: 0
          additionalProperties:
            $ref: '#/components/schemas/InventoryInWarehouse'
        lots:
          type: array
          description: >-
            A lot is a specific batch of inventory items that are stored
            together and expire together. If an item doesn't expire, it is not
            allocated to a lot.
          example:
            - lot_id: lot_id_1
              onhand: 2
              expiration_date: '2022-01-01T00:00:00Z'
              warehouse_id: warehouse_id1
            - lot_id: lot_id_2
              onhand: 1
              expiration_date: '2022-01-03T00:00:00Z'
              warehouse_id: warehouse_id2
          items:
            $ref: '#/components/schemas/Lot'
        measurements:
          $ref: '#/components/schemas/InventoryItemMeasurements'
        locations:
          type: array
          description: >-
            A list of locations within a warehouse where the inventory item is
            stored.
          example:
            - location_id: location_id_1
              quantity: 2
              warehouse_id: warehouse_id1
            - location_id: location_id_2
              quantity: 1
              warehouse_id: warehouse_id2
          items:
            $ref: '#/components/schemas/Location'
        external_system_url:
          type:
            - string
            - 'null'
          description: >-
            URL link to the inventory item in the external system (WMS/Freight
            etc).
          example: https://example.com/inventoryitem/123
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - active
        - additional_fields
        - awaiting
        - committed
        - created_date
        - external_system_url
        - fulfillable
        - id
        - inventory_by_warehouse_id
        - locations
        - lots
        - measurements
        - name
        - onhand
        - sellable
        - sku
        - substitute_skus
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - unfulfillable
        - unit_cost
        - updated_date
        - warehouse_customer_id
      additionalProperties: false
      title: WmsInventoryItemApiItemSchema
    InventoryInWarehouse:
      type: object
      properties:
        awaiting:
          type:
            - integer
            - 'null'
          description: ''
          example: 0
        onhand:
          type: integer
          description: ''
          example: 0
        committed:
          type:
            - integer
            - 'null'
          description: ''
          example: 0
        unfulfillable:
          type:
            - integer
            - 'null'
          description: ''
          example: 0
        fulfillable:
          type:
            - integer
            - 'null'
          description: ''
          example: 0
        sellable:
          type:
            - integer
            - 'null'
          description: ''
          example: 0
      required:
        - awaiting
        - committed
        - fulfillable
        - onhand
        - sellable
        - unfulfillable
      additionalProperties: false
      title: InventoryInWarehouse
    Lot:
      type: object
      properties:
        lot_id:
          type: string
          description: Lot ID.
        onhand:
          type: integer
          description: The total amount of inventory in the lot.
          example: 0
        expiration_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The date that the lot expires.
        warehouse_id:
          type:
            - string
            - 'null'
          description: >-
            ID of the warehouse that the lot is kept in. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
      required:
        - expiration_date
        - lot_id
        - onhand
        - warehouse_id
      additionalProperties: false
      title: Lot
    InventoryItemMeasurements:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the inventory item.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the inventory item.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: InventoryItemMeasurements
    Location:
      type: object
      properties:
        location_id:
          type: string
          description: Location ID.
        quantity:
          type: integer
          description: The total amount of inventory stored in the location.
          example: 0
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that contains the location. Can be passed into
            the [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint
            for more details.
      required:
        - location_id
        - quantity
        - warehouse_id
      additionalProperties: false
      title: Location

````